[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.Create

Constructor for the class instance.

## Declaration

Source position: stdctrls.pp line 408

`public constructor TCustomComboBox.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry. Create ensures that resources are allocated for members in the class instance. Create sets the default values for properties, including:

DropDownCount
  Set to display 8 items by default.
ArrowKeysTraverseList
  Set to True to enable cursor key navigation in the control.
AutoCompleteText
  Set to the values in the DefaultComboBoxAutoCompleteText constant.
AutoSelect
  Set to True.
CharCase
  Set to ecNormal.
AutoSize
  Set to True. AutoSize must be True by default since some widgetsets (win32, wince) ignore the combo-box height and others (gtk2) look ugly with a very small height.

## See also

TCustomComboBox.Destroy |  | Destructor for the class instance.